EntityEvents.death(event => {
    let entity = event.entity
    if (entity.type == "minecraft:player") {
        let allPowers = palladium.powers.getPowerIds(entity),
        hasPowers = false,
        metConditions = false
        allPowers.forEach(power => {
            if (palladium.superpowers.hasSuperpower(entity, power) == true) {hasPowers = true}
        })
        if (entity.mainHandItem.id == "arrzenhanced:nether_star_core" || entity.offHandItem.id == "arrzenhanced:nether_star_core") {
            metConditions = true
        }
        
        if (metConditions && !hasPowers) {
            event.server.runCommandSilent(`playsound minecraft:item.totem.use player @a ${entity.getX()} ${entity.getY()} ${entity.getZ()}`)
            event.server.runCommandSilent(`particle minecraft:totem_of_undying ${entity.getX()} ${entity.getY()} ${entity.getZ()} 0.5 1 0.5 1 800`)
            event.server.runCommandSilent(`particle minecraft:flame ${entity.getX()} ${entity.getY()} ${entity.getZ()} 0.5 1 0.5 1 800`)

            if (entity.mainHandItem.id == "arrzenhanced:nether_star_core") {
                entity.mainHandItem.count--
            } else if (entity.offHandItem.id == "arrzenhanced:nether_star_core") {
                entity.offHandItem.count--
            }

            palladium.superpowers.addSuperpower(entity, "arrzenhanced:cosmic_enhancement")
            entity.health = 6
            event.cancel()
        }
    }
})