PlayerEvents.tick(event => {
    if (event.player.type == 'minecraft:player') {
        let player = event.player;
        if (palladium.superpowers.hasSuperpower(player, 'arrzenhanced:umbrakinesis') == false) {
            if (player.mainHandItem.id == 'arrzenhanced:phantom_knight_sword') {
                player.mainHandItem.count--
            }
            if (player.offHandItem.id == 'arrzenhanced:phantom_knight_sword') {
                player.offHandItem.count--
            }
        } else {
            let inventory = player.getInventory()
            let hasSword = false
            for (let i = 0; i < inventory.INVENTORY_SIZE; i++) {
                let itemStack = inventory.getItem(i)
                if (itemStack.getId() == 'arrzenhanced:phantom_knight_sword' && hasSword) {
                    itemStack.count = 0
                    player.tags.remove('arrz.umbra.sword')
                } else if (itemStack.getId() == 'arrzenhanced:phantom_knight_sword' && !hasSword) {
                    if (!player.tags.contains('arrz.umbra.sword')) {
                        player.tags.add('arrz.umbra.sword')
                    }
                    hasSword = true
                }
            }
            if (player.tags.contains('arrz.umbra.sword') && !hasSword) {
                player.tags.remove('arrz.umbra.sword')
            }
        }
    }
})