execute as @e[tag=arrz.redstone_mech.aim_projectile] at @s run particle minecraft:electric_spark ~ ~ ~ 0.05 0.05 0.05 0 25 force
execute as @e[type=armor_stand,tag=arrz.rainbow.eject_stand] at @s run function arrzenhanced:rainbow_defender/eject_tick

scoreboard objectives add arrz.super_potato.use minecraft.used:arrzenhanced.super_potato
execute as @a at @s if score @s arrz.super_potato.use matches 1.. run superpower add arrzenhanced:kryptonian_potato
execute as @a at @s if score @s arrz.super_potato.use matches 1.. run scoreboard players reset @s arrz.super_potato.use

execute as @a at @s unless entity @s[palladium.power=arrzenhanced:electricity_conduction] if predicate arrzenhanced:hold_current_items if entity @e[type=lightning_bolt,distance=..2] run function arrzenhanced:electric_conduction/acquire
scoreboard objectives add arrz.potion.use minecraft.used:minecraft.potion
execute as @a at @s if score @s arrz.potion.use matches 1.. if predicate arrzenhanced:potion_of_darkness/has_effects run function arrzenhanced:umbrakinesis/acquire
execute as @a at @s if score @s arrz.potion.use matches 1.. run scoreboard players reset @s arrz.potion.use

execute as @e[type=armor_stand,tag=arrzenhanced.shadow_dome_effect] at @s as @e[distance=..10] unless entity @s[palladium.power=arrzenhanced:umbrakinesis] run effect give @s blindness 2 100 true

execute as @e[type=palladium:custom_projectile,tag=arrz.umbra.sword_proj] at @s run particle minecraft:smoke ~ ~ ~ 0.15 0.6 0.15 0 30 force
execute as @e[type=palladium:custom_projectile,tag=arrz.hexios.dagger] at @s run particle soul_fire_flame ~ ~0.3 ~ 0.1 0.1 0.1 0.05 1 force
execute as @e[type=palladium:custom_projectile,tag=arrz.wrath_magic.blast] at @s run particle minecraft:dust 0.961 0.012 0.094 1 ~ ~0.3 ~ 0.15 0.15 0.15 0 5 force
execute as @e[type=palladium:custom_projectile,tag=arrz.wrath_magic.blast_agatha] at @s run particle minecraft:witch ~ ~0.3 ~ 0.15 0.15 0.15 0 5 force
execute as @e[type=palladium:custom_projectile,tag=arrz.nuclear_fusion.ball] at @s run particle minecraft:flame ~ ~ ~ 0.1 0.1 0.1 0.075 15 force

execute as @a unless entity @s[palladium.power=arrzenhanced:souls_of_the_code] run advancement revoke @s[advancements={arrzenhanced:player_kill_entity=true}] only arrzenhanced:player_kill_entity
execute as @a unless entity @s[palladium.power=arrzenhanced:electric_gamma_radiation] run scoreboard players set @s arrz.electric_gamma.jump 0

# statues
execute as @e[type=minecraft:armor_stand,tag=arrzenhanced.statue.main] at @s run superpower add arrzenhanced:statues @s

# the code
#reaper
execute as @e[type=wolf,tag=arrz.code_reaper] at @s run superpower set arrzenhanced:code_reaper @s
execute as @e[type=wolf,tag=arrz.code_reaper] at @s if entity @s[tag=arrz.code_reaper.on_death] run function arrzenhanced:code/on_death 
# IN DIMENSION
execute as @a in arrzenhanced:the_code if predicate arrzenhanced:in_code at @s run function arrzenhanced:code/in_code
execute as @a if score @s arrz.code.enter_ matches 1.. run function arrzenhanced:code/enter_code_
#soul tick
execute as @e[tag=arrz.soul,type=armor_stand] at @s run function arrzenhanced:code/soul_tick

# chaos magic
execute as @e[type=husk,tag=arrz.wrath_magic.decoy] at @s run superpower set arrzenhanced:wrath_decoy @s

# trick arrows
execute as @e[type=armor_stand,tag=arrz.trick_arrow] at @s run function arrzenhanced:iron_prism/trick_arrows/tick
execute as @e[type=armor_stand,tag=arrz.trick_arrow] run superpower add arrzenhanced:trick_arrows @s
execute as @e[type=palladium:custom_projectile,tag=arrz.trick_arrow] at @s run function arrzenhanced:util/facing
